AgainstHumanity64
死肥宅/学生/真实蒟蒻/安全狗
可怜,无助又肥胖 - 而且看上去很无趣。唯一爱好是膜各位julao。
吹过的逼大部分都没完成。

关于pacman的package signature|About package signature of pacman

注意:这篇文章的内容可能损伤你的电脑,所以请谨慎进行

发现自己的系统几个月没滚,于是准备更新一下。

喜闻乐见地,我们遇到了pyqt4的包签名错误。最初准备直接remove掉,然后发现plasma依赖这个包。

# (为了SEO-但是这个博客可能被收录么)
# 错误信息:
error: pyqt4-common: missing required signature
error: python-pyqt4: missing required signature

直接重装会提示一样的错误

在包括但不限于更新keyring和试着忽略警告的几次尝试之后,我发现自己也没什么办法。由于某个节日原因,我的服务器被不幸橄榄,所以我浪费了几十分钟在Bing上。
首先我尝试了

# pacman-key --init
# pacman-key --populate archlinux

我知道你想节省时间,所以请看这里。| I know you wanna save your time, so check this out.

来试着更新key
-虽然帖子挂着SOLVED,但是这显然没在我的系统上起什么作用。
然后发现pacman可以跳过签名校验通过编辑

/etc/pacman.conf

来完成这个trick。

将位于107行左右的 SigLevel取消注释,并且修改为

然后再次更新

-现在希望我别滚挂。

nimda

死肥宅/穷学生/你群唯一蒟蒻

You may also like...

Leave a Reply

Your email address will not be published. Required fields are marked *